### Method

# Shumate VectorRenderer reset_global_state

since: 1.6

#### Declaration [src]

    void
    shumate_vector_renderer_reset_global_state (
      ShumateVectorRenderer* self,
      const char* key
    )

#### Description [src]

Resets a global state value to the default defined in the style, or to null if no default is defined.

Available since: 1.6

#### Parameters

`key`

  Type: `const char*`

  The state key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.